# akvcam, Virtual camera driver for Linux #

akvcam is a fully compliant V4L2 virtual camera driver for Linux.

## Features ##

*   Flexible configuration with a simple INI file like.
*   Support for map, user pointer, and read/write modes.
*   Can cat and echo to the device.
*   Supports emulated camera controls in capture devices (brightness, contrast, saturation, etc.).
*   Configurable default picture in case no input signal available.
*   The devices can't be rejected by programs that rejects M2M devices.
*   Fully compliant with V4L2 standard.
*   Support for LTS kernels.

## Build and Install ##

Visit the [wiki](https://github.com/webcamoid/akvcam/wiki) for a comprehensive compile and install instructions.

## Downloads ##

[![Download](https://img.shields.io/badge/Download-Releases-3f2a7e.svg)](https://github.com/webcamoid/akvcam/releases)
[![Daily Build](https://img.shields.io/badge/Download-Daily%20Build-3f2a7e.svg)](https://github.com/webcamoid/akvcam/releases/tag/daily-build)
[![Total Downloads](https://img.shields.io/github/downloads/webcamoid/akvcam/total.svg?label=Total%20Downloads&color=3f2a7e)](https://tooomm.github.io/github-release-stats/?username=webcamoid&repository=akvcam)

## Donations ##

If you are interested in donating to the project you can look at all available methods in the [donations page](https://webcamoid.github.io/donations).

## Status ##

[![Linux](https://github.com/webcamoid/akvcam/actions/workflows/linux.yml/badge.svg)](https://github.com/webcamoid/akvcam/actions/workflows/linux.yml)
[![Codacy Badge](https://app.codacy.com/project/badge/Grade/eaeeaacb491c498bbffbe2087bc2d4dd)](https://www.codacy.com/gh/webcamoid/akvcam/dashboard?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=webcamoid/akvcam&amp;utm_campaign=Badge_Grade)
[![Project Stats](https://www.openhub.net/p/akvcam/widgets/project_thin_badge.gif)](https://www.openhub.net/p/akvcam)

## Reporting Bugs ##

Report all issues in the [issues tracker](http://github.com/webcamoid/akvcam/issues).
